Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 27-05-2019 17:37:29

redelap
Membre
Lieu : SAINTES 17
Distrib. : Buster en Xfce & Raspbian
Noyau : Linux 4.19.0.6 - amd64
(G)UI : Xfce
Inscription : 14-05-2012
Site Web

[RESOLU] Deux fichiers ne veulent pas s'installer...

Bonjour
Sur mon ordi principal (signature), ....
et depuis quelques temps, à l'occasion d'un "update" puis d'un "upgrade", j'ai toujours le message suivant

root@debian:/home/remy# apt-get upgrade
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
Calcul de la mise à jour... Fait
Les paquets suivants ont été conservés :
  gir1.2-javascriptcoregtk-4.0 gir1.2-webkit2-4.0
0 mis à jour, 0 nouvellement installés, 0 à enlever et 2 non mis à jour.
 



Je fais donc un upgrade avec ces deux fichiers...

root@debian:/home/remy# apt-get upgrade gir1.2-javascriptcoregtk-4.0 gir1.2-webkit2-4.0
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
Calcul de la mise à jour... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'
ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'
information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
 gir1.2-webkit2-4.0 : Dépend: libwebkit2gtk-4.0-37 (>= 2.23.91) mais 2.18.6-1~deb9u1 devra être installé
E: Paquets défectueux
 



Je ne comprends rien à cela....

Merci de me placer sur des rails.. pour que je comprenne pourquoi...

Dernière modification par redelap (27-05-2019 21:11:02)


Debian-10.1-Xfce buster sur Lenovo LEGION Y520- SSD128 + HD1000 - 8Go
Vieux MacBook X.6.8 - Raspbian Buster sur Raspberry Pi4

Hors ligne

#2 27-05-2019 17:40:06

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : [RESOLU] Deux fichiers ne veulent pas s'installer...

Tu as dû bidouiller quelque chose. Ça ressemble à une installation ratée de deux paquets hors des dépôts ou d'une frankendebian.

La commande conseillée dans ce cas c'est

apt install -f


datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

Hors ligne

#3 27-05-2019 17:47:26

redelap
Membre
Lieu : SAINTES 17
Distrib. : Buster en Xfce & Raspbian
Noyau : Linux 4.19.0.6 - amd64
(G)UI : Xfce
Inscription : 14-05-2012
Site Web

Re : [RESOLU] Deux fichiers ne veulent pas s'installer...

Merci de ta réponse...
But de cette commande ?

root@debian:/home/remy# apt install -f
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 2 non mis à jour.
root@debian:/home/remy#
 



et en refaisant un update/upgrade

root@debian:/home/remy#  apt-get update
Ign:1 http://deb.debian.org/debian stretch InRelease
Atteint:2 http://security.debian.org stretch/updates InRelease
Atteint:3 http://download.virtualbox.org/virtualbox/debian stretch InRelease
Atteint:4 http://www.deb-multimedia.org stable InRelease
Atteint:5 http://linux.teamviewer.com/deb stable InRelease            
Atteint:6 http://deb.debian.org/debian stretch-updates InRelease                                
Atteint:7 http://security.debian.org/debian-security stretch/updates InRelease                  
Atteint:8 http://deb.debian.org/debian stretch-backports InRelease                              
Atteint:9 http://deb.debian.org/debian stretch Release        
Atteint:10 https://deb.opera.com/opera-stable stable InRelease
Lecture des listes de paquets... Fait
root@debian:/home/remy# apt-get upgrade
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
Calcul de la mise à jour... Fait
Les paquets suivants ont été conservés :
  gir1.2-javascriptcoregtk-4.0 gir1.2-webkit2-4.0
0 mis à jour, 0 nouvellement installés, 0 à enlever et 2 non mis à jour.
 

Dernière modification par redelap (27-05-2019 17:51:04)


Debian-10.1-Xfce buster sur Lenovo LEGION Y520- SSD128 + HD1000 - 8Go
Vieux MacBook X.6.8 - Raspbian Buster sur Raspberry Pi4

Hors ligne

#4 27-05-2019 18:01:06

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : [RESOLU] Deux fichiers ne veulent pas s'installer...

Han.
Je suis pas trop sûr de suivre du coup, j'ai visiblement eu tort ^^'

Que donne ceci ?

apt autoremove



Et si ça donne rien, allons à la pêche de "pourquoi c'est installé" :

apt-cache --installed rdepends gir1.2-webkit2-4.0
apt-cache --installed rdepends gir1.2-javascriptcoregtk

Dernière modification par otyugh (27-05-2019 18:03:09)


datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

Hors ligne

#5 27-05-2019 18:19:28

redelap
Membre
Lieu : SAINTES 17
Distrib. : Buster en Xfce & Raspbian
Noyau : Linux 4.19.0.6 - amd64
(G)UI : Xfce
Inscription : 14-05-2012
Site Web

Re : [RESOLU] Deux fichiers ne veulent pas s'installer...

root@debian:/home/remy#  apt-get update
Ign:1 http://deb.debian.org/debian stretch InRelease
Atteint:2 http://security.debian.org stretch/updates InRelease
Atteint:3 http://download.virtualbox.org/virtualbox/debian stretch InRelease
Atteint:4 http://www.deb-multimedia.org stable InRelease
Atteint:5 http://linux.teamviewer.com/deb stable InRelease            
Atteint:6 http://deb.debian.org/debian stretch-updates InRelease                                
Atteint:7 http://security.debian.org/debian-security stretch/updates InRelease                  
Atteint:8 http://deb.debian.org/debian stretch-backports InRelease                              
Atteint:9 http://deb.debian.org/debian stretch Release        
Atteint:10 https://deb.opera.com/opera-stable stable InRelease
Lecture des listes de paquets... Fait
root@debian:/home/remy# apt-get upgrade
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
Calcul de la mise à jour... Fait
Les paquets suivants ont été conservés :
  gir1.2-javascriptcoregtk-4.0 gir1.2-webkit2-4.0
0 mis à jour, 0 nouvellement installés, 0 à enlever et 2 non mis à jour.
 



root@debian:/home/remy# apt-cache --installed rdepends gir1.2-webkit2-4.0
gir1.2-webkit2-4.0
Reverse Depends:
  python-sugar3
  sugar-browse-activity
  quodlibet
  gnome-sushi
root@debian:/home/remy# apt-cache --installed rdepends gir1.2-javascriptcoregtk
gir1.2-javascriptcoregtk-3.0
Reverse Depends:
gir1.2-javascriptcoregtk-4.0
Reverse Depends:
  gir1.2-webkit2-4.0
  gir1.2-webkit2-4.0
  gir1.2-webkit2-4.0
 


Debian-10.1-Xfce buster sur Lenovo LEGION Y520- SSD128 + HD1000 - 8Go
Vieux MacBook X.6.8 - Raspbian Buster sur Raspberry Pi4

Hors ligne

#6 27-05-2019 18:27:41

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : [RESOLU] Deux fichiers ne veulent pas s'installer...

Donc ces paquets ont de très bonnes raisons d'être installés.

Je crois que je viens de piger (je suis un peu lent) la nature de l'avertissement lol
Ces deux paquets sont marqués pour "ne pas être touchés", il suffit de changer ça à priori :

apt-mark unhold gir1.2-javascriptcoregtk-4.0 gir1.2-webkit2-4.0

Dernière modification par otyugh (27-05-2019 18:28:33)


datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

Hors ligne

#7 27-05-2019 18:54:55

redelap
Membre
Lieu : SAINTES 17
Distrib. : Buster en Xfce & Raspbian
Noyau : Linux 4.19.0.6 - amd64
(G)UI : Xfce
Inscription : 14-05-2012
Site Web

Re : [RESOLU] Deux fichiers ne veulent pas s'installer...

root@debian:/home/remy# apt-mark unhold gir1.2-javascriptcoregtk-4.0 gir1.2-webkit2-4.0
gir1.2-javascriptcoregtk-4.0 était déjà marqué comme non figé.
gir1.2-webkit2-4.0 était déjà marqué comme non figé.

root@debian:/home/remy#  apt-get update
Atteint:1 http://www.deb-multimedia.org stable InRelease
Atteint:2 http://linux.teamviewer.com/deb stable InRelease                                                            
Atteint:3 http://security.debian.org stretch/updates InRelease                                                        
Atteint:4 http://security.debian.org/debian-security stretch/updates InRelease                                        
Atteint:5 http://download.virtualbox.org/virtualbox/debian stretch InRelease                                          
Ign:6 http://deb.debian.org/debian stretch InRelease                                            
Atteint:7 http://deb.debian.org/debian stretch-updates InRelease
Atteint:8 http://deb.debian.org/debian stretch-backports InRelease
Atteint:9 http://deb.debian.org/debian stretch Release        
Atteint:10 https://deb.opera.com/opera-stable stable InRelease
Lecture des listes de paquets... Fait

root@debian:/home/remy# apt-get upgrade
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
Calcul de la mise à jour... Fait
Les paquets suivants ont été conservés :
  gir1.2-javascriptcoregtk-4.0 gir1.2-webkit2-4.0
0 mis à jour, 0 nouvellement installés, 0 à enlever et 2 non mis à jour.
 


Debian-10.1-Xfce buster sur Lenovo LEGION Y520- SSD128 + HD1000 - 8Go
Vieux MacBook X.6.8 - Raspbian Buster sur Raspberry Pi4

Hors ligne

#8 27-05-2019 18:57:59

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : [RESOLU] Deux fichiers ne veulent pas s'installer...

Han.
Joker tongue

datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

Hors ligne

#9 27-05-2019 19:00:55

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.1
Noyau : Linux 4.12.14
(G)UI : KDE 5
Inscription : 11-03-2016

Re : [RESOLU] Deux fichiers ne veulent pas s'installer...

Bonsoir,
C’est peut-être comme pour moi, je l'ai raconté dans la news au sujet de Debian 9.9.
Pour faire la mise à jour complète

apt update && apt full-upgrade


Bien débuter sur Debian :
->Les principales commandes Linux
Bien débuter sur openSUSE :
->Site officiel + Wiki frForum fr sur alionet+Guide du débutant

Hors ligne

#10 27-05-2019 19:10:45

redelap
Membre
Lieu : SAINTES 17
Distrib. : Buster en Xfce & Raspbian
Noyau : Linux 4.19.0.6 - amd64
(G)UI : Xfce
Inscription : 14-05-2012
Site Web

Re : [RESOLU] Deux fichiers ne veulent pas s'installer...

root@debian:/home/remy# apt update && apt full-upgrade
Atteint:1 http://security.debian.org stretch/updates InRelease
Ign:2 http://deb.debian.org/debian stretch InRelease                                                                  
Atteint:3 http://download.virtualbox.org/virtualbox/debian stretch InRelease                                          
Atteint:4 http://security.debian.org/debian-security stretch/updates InRelease                                        
Atteint:5 http://deb.debian.org/debian stretch-updates InRelease                                                      
Atteint:6 http://deb.debian.org/debian stretch-backports InRelease                                                    
Atteint:7 http://www.deb-multimedia.org stable InRelease                                                              
Atteint:8 https://deb.opera.com/opera-stable stable InRelease                                    
Atteint:9 http://deb.debian.org/debian stretch Release                                          
Atteint:10 http://linux.teamviewer.com/deb stable InRelease                                      
Lecture des listes de paquets... Fait                          
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
2 packages can be upgraded. Run 'apt list --upgradable' to see them.
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
Calcul de la mise à jour... Fait
Les paquets suivants ont été conservés :
  gir1.2-javascriptcoregtk-4.0
0 mis à jour, 0 nouvellement installés, 0 à enlever et 1 non mis à jour.
 


Debian-10.1-Xfce buster sur Lenovo LEGION Y520- SSD128 + HD1000 - 8Go
Vieux MacBook X.6.8 - Raspbian Buster sur Raspberry Pi4

Hors ligne

#11 27-05-2019 19:11:06

redelap
Membre
Lieu : SAINTES 17
Distrib. : Buster en Xfce & Raspbian
Noyau : Linux 4.19.0.6 - amd64
(G)UI : Xfce
Inscription : 14-05-2012
Site Web

Re : [RESOLU] Deux fichiers ne veulent pas s'installer...

Curieux quand même.

Debian-10.1-Xfce buster sur Lenovo LEGION Y520- SSD128 + HD1000 - 8Go
Vieux MacBook X.6.8 - Raspbian Buster sur Raspberry Pi4

Hors ligne

#12 27-05-2019 19:13:41

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.1
Noyau : Linux 4.12.14
(G)UI : KDE 5
Inscription : 11-03-2016

Re : [RESOLU] Deux fichiers ne veulent pas s'installer...

apt -s --reinstall install gir1.2-javascriptcoregtk-4.0


Bien débuter sur Debian :
->Les principales commandes Linux
Bien débuter sur openSUSE :
->Site officiel + Wiki frForum fr sur alionet+Guide du débutant

Hors ligne

#13 27-05-2019 19:32:23

Beta-Pictoris
Membre
Lieu : Angers
Distrib. : Buster
Inscription : 11-08-2015

Re : [RESOLU] Deux fichiers ne veulent pas s'installer...

Que donne ?

apt --installed list gir1.2-javascriptcoregtk-4.0 gir1.2-webkit2-4.0

Hors ligne

#14 27-05-2019 19:44:51

redelap
Membre
Lieu : SAINTES 17
Distrib. : Buster en Xfce & Raspbian
Noyau : Linux 4.19.0.6 - amd64
(G)UI : Xfce
Inscription : 14-05-2012
Site Web

Re : [RESOLU] Deux fichiers ne veulent pas s'installer...

[b]root@debian:/home/remy# apt -s --reinstall install gir1.2-javascriptcoregtk-4.0[/b]
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  gir1.2-clutter-1.0 gir1.2-clutter-gst-3.0 gir1.2-cogl-1.0 gir1.2-coglpango-1.0 gir1.2-evince-3.0 gir1.2-gconf-2.0
  gir1.2-gtkclutter-1.0 gir1.2-json-1.0 gir1.2-rsvg-2.0 gir1.2-sugarext-1.0 libavahi-gobject0 libgjs0e
  libmission-control-plugins0 libmozjs-24-0 libmusicbrainz5-2 libmusicbrainz5cc2v5 libnm-glib4 libnm-util2
  libsugarext-data libsugarext0 libtelepathy-glib0 python-dateutil python-decorator python-sugar3 python-telepathy
  telepathy-mission-control-5 telepathy-salut
Veuillez utiliser « apt autoremove » pour les supprimer.
Les paquets suivants seront ENLEVÉS :
  gir1.2-webkit2-4.0 gnome-sushi sugar-browse-activity
Les paquets suivants seront mis à jour :
  gir1.2-javascriptcoregtk-4.0
1 mis à jour, 0 nouvellement installés, 3 à enlever et 0 non mis à jour.
Remv sugar-browse-activity [200+20170502-1]
Remv gnome-sushi [3.21.91-2]
Remv gir1.2-webkit2-4.0 [2.18.6-1~deb9u1.0]
Inst gir1.2-javascriptcoregtk-4.0 [2.18.6-1~deb9u1.0] (2.24.1-2~bpo9+1 Debian Backports:stretch-backports [amd64])
Conf gir1.2-javascriptcoregtk-4.0 (2.24.1-2~bpo9+1 Debian Backports:stretch-backports [amd64])


[b]root@debian:/home/remy# apt autoremove[/b]
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 2 non mis à jour.


[b]root@debian:/home/remy#  apt-get update[/b]
Ign:1 http://deb.debian.org/debian stretch InRelease
Atteint:2 http://security.debian.org stretch/updates InRelease                                                        
Atteint:3 http://download.virtualbox.org/virtualbox/debian stretch InRelease                                          
Atteint:4 http://www.deb-multimedia.org stable InRelease                                                              
Atteint:5 http://linux.teamviewer.com/deb stable InRelease                                                            
Atteint:6 http://deb.debian.org/debian stretch-updates InRelease                                                      
Atteint:7 http://security.debian.org/debian-security stretch/updates InRelease                  
Atteint:8 http://deb.debian.org/debian stretch-backports InRelease
Atteint:9 http://deb.debian.org/debian stretch Release        
Atteint:10 https://deb.opera.com/opera-stable stable InRelease
Lecture des listes de paquets... Fait


[b]root@debian:/home/remy# apt-get upgrade[/b]
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
Calcul de la mise à jour... Fait
Les paquets suivants ont été conservés :
  gir1.2-javascriptcoregtk-4.0 gir1.2-webkit2-4.0
0 mis à jour, 0 nouvellement installés, 0 à enlever et 2 non mis à jour.


[b]root@debian:/home/remy# apt --installed list gir1.2-javascriptcoregtk-4.0 gir1.2-webkit2-4.0[/b]
En train de lister... Fait
gir1.2-javascriptcoregtk-4.0/stable,now 2.18.6-1~deb9u1.0 amd64 [installed,upgradable to: 2.24.1-2~bpo9+1]
gir1.2-webkit2-4.0/stable,now 2.18.6-1~deb9u1.0 amd64 [installed,upgradable to: 2.24.1-2~bpo9+1]
 


Debian-10.1-Xfce buster sur Lenovo LEGION Y520- SSD128 + HD1000 - 8Go
Vieux MacBook X.6.8 - Raspbian Buster sur Raspberry Pi4

Hors ligne

#15 27-05-2019 20:00:29

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.1
Noyau : Linux 4.12.14
(G)UI : KDE 5
Inscription : 11-03-2016

Re : [RESOLU] Deux fichiers ne veulent pas s'installer...

Ah oui c’est bizarre ils veulent se mettre à jour sur les backports.
Que donne

dpkg -l | grep -i dmo


Et pour voir les priorités

apt policy


apt policy gir1.2-javascriptcoregtk-4.0 gir1.2-webkit2-4.0


Bien débuter sur Debian :
->Les principales commandes Linux
Bien débuter sur openSUSE :
->Site officiel + Wiki frForum fr sur alionet+Guide du débutant

Hors ligne

#16 27-05-2019 20:01:56

Beta-Pictoris
Membre
Lieu : Angers
Distrib. : Buster
Inscription : 11-08-2015

Re : [RESOLU] Deux fichiers ne veulent pas s'installer...

Ton système essaye de remplacer tes 2 paquets stables par des versions backport. Comment as tu configuré le pinning ?

D'ailleurs, je vois que tu as ajouté plein de dépots tiers :

Atteint:3 http://download.virtualbox.org/virtualbox/debian stretch InRelease                                          
Atteint:4 http://www.deb-multimedia.org stable InRelease                                                              
Atteint:5 http://linux.teamviewer.com/deb stable InRelease                                                            
Atteint:8 http://deb.debian.org/debian stretch-backports InRelease
Atteint:10 https://deb.opera.com/opera-stable stable InRelease

Dernière modification par Beta-Pictoris (27-05-2019 20:07:35)

Hors ligne

#17 27-05-2019 20:11:33

redelap
Membre
Lieu : SAINTES 17
Distrib. : Buster en Xfce & Raspbian
Noyau : Linux 4.19.0.6 - amd64
(G)UI : Xfce
Inscription : 14-05-2012
Site Web

Re : [RESOLU] Deux fichiers ne veulent pas s'installer...

root@debian:/home/remy# dpkg -l | grep -i dmo
ii  flashplayer-mozilla                          3:32.0.0.192-dmo1                          amd64        Adobe Flash Player
 



root@debian:/home/remy# apt policy
Fichiers du paquet :
 100 /var/lib/dpkg/status
     release a=now
 100 http://linux.teamviewer.com/deb stable/main i386 Packages
     release o=TeamViewer GmbH,a=stable,l=TeamViewer,c=main,b=i386
     origin linux.teamviewer.com
 100 http://linux.teamviewer.com/deb stable/main amd64 Packages
     release o=TeamViewer GmbH,a=stable,l=TeamViewer,c=main,b=amd64
     origin linux.teamviewer.com
 500 https://deb.opera.com/opera-stable stable/non-free i386 Packages
     release o=Opera Software AS,a=stable,n=stable,l=The Opera web browser,c=non-free,b=i386
     origin deb.opera.com
 500 https://deb.opera.com/opera-stable stable/non-free amd64 Packages
     release o=Opera Software AS,a=stable,n=stable,l=The Opera web browser,c=non-free,b=amd64
     origin deb.opera.com
 100 http://deb.debian.org/debian stretch-backports/non-free i386 Packages
     release o=Debian Backports,a=stretch-backports,n=stretch-backports,l=Debian Backports,c=non-free,b=i386
     origin deb.debian.org
 100 http://deb.debian.org/debian stretch-backports/non-free amd64 Packages
     release o=Debian Backports,a=stretch-backports,n=stretch-backports,l=Debian Backports,c=non-free,b=amd64
     origin deb.debian.org
 100 http://deb.debian.org/debian stretch-backports/contrib i386 Packages
     release o=Debian Backports,a=stretch-backports,n=stretch-backports,l=Debian Backports,c=contrib,b=i386
     origin deb.debian.org
 100 http://deb.debian.org/debian stretch-backports/contrib amd64 Packages
     release o=Debian Backports,a=stretch-backports,n=stretch-backports,l=Debian Backports,c=contrib,b=amd64
     origin deb.debian.org
 100 http://deb.debian.org/debian stretch-backports/main i386 Packages
     release o=Debian Backports,a=stretch-backports,n=stretch-backports,l=Debian Backports,c=main,b=i386
     origin deb.debian.org
 100 http://deb.debian.org/debian stretch-backports/main amd64 Packages
     release o=Debian Backports,a=stretch-backports,n=stretch-backports,l=Debian Backports,c=main,b=amd64
     origin deb.debian.org
 100 http://www.deb-multimedia.org stable/non-free i386 Packages
     release v=9.9,o=Unofficial Multimedia Packages,a=stable,n=stretch,l=Unofficial Multimedia Packages,c=non-free,b=i386
     origin www.deb-multimedia.org
 100 http://www.deb-multimedia.org stable/non-free amd64 Packages
     release v=9.9,o=Unofficial Multimedia Packages,a=stable,n=stretch,l=Unofficial Multimedia Packages,c=non-free,b=amd64
     origin www.deb-multimedia.org
 100 http://www.deb-multimedia.org stable/main i386 Packages
     release v=9.9,o=Unofficial Multimedia Packages,a=stable,n=stretch,l=Unofficial Multimedia Packages,c=main,b=i386
     origin www.deb-multimedia.org
 100 http://www.deb-multimedia.org stable/main amd64 Packages
     release v=9.9,o=Unofficial Multimedia Packages,a=stable,n=stretch,l=Unofficial Multimedia Packages,c=main,b=amd64
     origin www.deb-multimedia.org
 500 http://download.virtualbox.org/virtualbox/debian stretch/contrib i386 Packages
     release o=Oracle Corporation,n=stretch,l=Oracle Corporation,c=contrib,b=i386
     origin download.virtualbox.org
 500 http://download.virtualbox.org/virtualbox/debian stretch/contrib amd64 Packages
     release o=Oracle Corporation,n=stretch,l=Oracle Corporation,c=contrib,b=amd64
     origin download.virtualbox.org
 500 http://deb.debian.org/debian stretch-updates/main i386 Packages
     release o=Debian,a=stable-updates,n=stretch-updates,l=Debian,c=main,b=i386
     origin deb.debian.org
 500 http://deb.debian.org/debian stretch-updates/main amd64 Packages
     release o=Debian,a=stable-updates,n=stretch-updates,l=Debian,c=main,b=amd64
     origin deb.debian.org
 500 http://security.debian.org stretch/updates/non-free i386 Packages
     release v=9,o=Debian,a=stable,n=stretch,l=Debian-Security,c=non-free,b=i386
     origin security.debian.org
 500 http://security.debian.org stretch/updates/non-free amd64 Packages
     release v=9,o=Debian,a=stable,n=stretch,l=Debian-Security,c=non-free,b=amd64
     origin security.debian.org
 500 http://security.debian.org stretch/updates/contrib i386 Packages
     release v=9,o=Debian,a=stable,n=stretch,l=Debian-Security,c=contrib,b=i386
     origin security.debian.org
 500 http://security.debian.org stretch/updates/contrib amd64 Packages
     release v=9,o=Debian,a=stable,n=stretch,l=Debian-Security,c=contrib,b=amd64
     origin security.debian.org
 500 http://security.debian.org stretch/updates/main i386 Packages
     release v=9,o=Debian,a=stable,n=stretch,l=Debian-Security,c=main,b=i386
     origin security.debian.org
 500 http://security.debian.org stretch/updates/main amd64 Packages
     release v=9,o=Debian,a=stable,n=stretch,l=Debian-Security,c=main,b=amd64
     origin security.debian.org
 500 http://deb.debian.org/debian stretch/non-free i386 Packages
     release v=9.9,o=Debian,a=stable,n=stretch,l=Debian,c=non-free,b=i386
     origin deb.debian.org
 500 http://deb.debian.org/debian stretch/non-free amd64 Packages
     release v=9.9,o=Debian,a=stable,n=stretch,l=Debian,c=non-free,b=amd64
     origin deb.debian.org
 500 http://deb.debian.org/debian stretch/contrib i386 Packages
     release v=9.9,o=Debian,a=stable,n=stretch,l=Debian,c=contrib,b=i386
     origin deb.debian.org
 500 http://deb.debian.org/debian stretch/contrib amd64 Packages
     release v=9.9,o=Debian,a=stable,n=stretch,l=Debian,c=contrib,b=amd64
     origin deb.debian.org
 500 http://deb.debian.org/debian stretch/main i386 Packages
     release v=9.9,o=Debian,a=stable,n=stretch,l=Debian,c=main,b=i386
     origin deb.debian.org
 500 http://deb.debian.org/debian stretch/main amd64 Packages
     release v=9.9,o=Debian,a=stable,n=stretch,l=Debian,c=main,b=amd64
     origin deb.debian.org
Paquets épinglés :
 



root@debian:/home/remy# apt policy gir1.2-javascriptcoregtk-4.0 gir1.2-webkit2-4.0
gir1.2-javascriptcoregtk-4.0:
  Installé : 2.18.6-1~deb9u1.0
  Candidat : 2.24.1-2~bpo9+1
 Table de version :
     2.24.1-2~bpo9+1 100
        100 http://deb.debian.org/debian stretch-backports/main amd64 Packages
 *** 2.18.6-1~deb9u1.0 100
        100 http://www.deb-multimedia.org stable/main amd64 Packages
        100 /var/lib/dpkg/status
     2.18.6-1~deb9u1 500
        500 http://deb.debian.org/debian stretch/main amd64 Packages
gir1.2-webkit2-4.0:
  Installé : 2.18.6-1~deb9u1.0
  Candidat : 2.24.1-2~bpo9+1
 Table de version :
     2.24.1-2~bpo9+1 100
        100 http://deb.debian.org/debian stretch-backports/main amd64 Packages
 *** 2.18.6-1~deb9u1.0 100
        100 http://www.deb-multimedia.org stable/main amd64 Packages
        100 /var/lib/dpkg/status
     2.18.6-1~deb9u1 500
        500 http://deb.debian.org/debian stretch/main amd64 Packages
 




Là je suis largué, incapable d'interpréter les retours...

Peut-être des mises à jour des "candidats" ?

Dernière modification par redelap (27-05-2019 20:13:11)


Debian-10.1-Xfce buster sur Lenovo LEGION Y520- SSD128 + HD1000 - 8Go
Vieux MacBook X.6.8 - Raspbian Buster sur Raspberry Pi4

Hors ligne

#18 27-05-2019 20:22:04

Beta-Pictoris
Membre
Lieu : Angers
Distrib. : Buster
Inscription : 11-08-2015

Re : [RESOLU] Deux fichiers ne veulent pas s'installer...

Ton système est configuré avec 2 dépôts stables identiques, mais l'un des deux a une priorité plus faible. D'où le conflit.

Tu devrais désactiver le dépôt 'http://www.deb-multimedia.org stable/main amd64 Packages' et relancer un 'apt update' puis un 'apt upgrade'

Dernière modification par Beta-Pictoris (27-05-2019 21:08:17)

Hors ligne

#19 27-05-2019 20:33:58

redelap
Membre
Lieu : SAINTES 17
Distrib. : Buster en Xfce & Raspbian
Noyau : Linux 4.19.0.6 - amd64
(G)UI : Xfce
Inscription : 14-05-2012
Site Web

Re : [RESOLU] Deux fichiers ne veulent pas s'installer...

Ah... et comment je désactive ce dépôt ? Ils n'ont pas tous les deux une priorité 100 ?

Debian-10.1-Xfce buster sur Lenovo LEGION Y520- SSD128 + HD1000 - 8Go
Vieux MacBook X.6.8 - Raspbian Buster sur Raspberry Pi4

Hors ligne

#20 27-05-2019 20:36:48

Beta-Pictoris
Membre
Lieu : Angers
Distrib. : Buster
Inscription : 11-08-2015

Re : [RESOLU] Deux fichiers ne veulent pas s'installer...

Edite le fichier '/etc/apt/sources.list' et commente la ligne dudit dépôt.

Hors ligne

#21 27-05-2019 20:39:26

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.1
Noyau : Linux 4.12.14
(G)UI : KDE 5
Inscription : 11-03-2016

Re : [RESOLU] Deux fichiers ne veulent pas s'installer...

En fait la version installée pour ces paquets vient du dépôt multimédia. Les deux dépôts sont à 100.

0 < P ≤ 100
Le paquet ne sera installé que si aucune autre version du paquet n'est installée.


Si on fait une simulation de réinstallation de la version stretch

apt -s install gir1.2-javascriptcoregtk-4.0=2.18.6-1~deb9u1 gir1.2-webkit2-4.0=2.18.6-1~deb9u1


Dans ton autoremove, tu avais beaucoup de paquets à supprimer, ça t’a paru normal ?


Bien débuter sur Debian :
->Les principales commandes Linux
Bien débuter sur openSUSE :
->Site officiel + Wiki frForum fr sur alionet+Guide du débutant

Hors ligne

#22 27-05-2019 20:48:26

redelap
Membre
Lieu : SAINTES 17
Distrib. : Buster en Xfce & Raspbian
Noyau : Linux 4.19.0.6 - amd64
(G)UI : Xfce
Inscription : 14-05-2012
Site Web

Re : [RESOLU] Deux fichiers ne veulent pas s'installer...

Voici mon sources.list actuel, non modifié depuis très longtemps.

# deb cdrom:[Debian GNU/Linux 9.2.1 _Stretch_ - Official amd64 NETINST 20171013-13:07]/ stretch main

#deb cdrom:[Debian GNU/Linux 9.2.1 _Stretch_ - Official amd64 NETINST 20171013-13:07]/ stretch main

# sources liste par defaut après install
#     deb http://ftp.fr.debian.org/debian/ stretch main
#     deb-src http://ftp.fr.debian.org/debian/ stretch main
# ---
#     deb http://security.debian.org/debian-security stretch/updates main
#     deb-src http://security.debian.org/debian-security stretch/updates main
# ---
# stretch-updates, previously known as 'volatile'
#     deb http://ftp.fr.debian.org/debian/ stretch-updates main
#     deb-src http://ftp.fr.debian.org/debian/ stretch-updates main
#-----------

# Sources.liste conseillé via le wiki

# Debian Stretch, dépôt principal + paquets non libres
deb http://deb.debian.org/debian/ stretch main contrib non-free
deb-src http://deb.debian.org/debian/ stretch main contrib non-free

# Debian Stretch, mises à jour de sécurité + paquets non libres
deb http://security.debian.org/ stretch/updates main contrib non-free
deb-src http://security.debian.org/debian-security stretch/updates main contrib non-free

# Debian Stretch, mises à jour "volatiles" + paquets non libres
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free
deb-src http://deb.debian.org/debian/ stretch-updates main contrib non-free

deb http://download.virtualbox.org/virtualbox/debian stretch contrib

# Mise à jour des dépots deb-multimédia et backports
deb http://www.deb-multimedia.org stable main non-free
deb http://deb.debian.org/debian/ stretch-backports main contrib non-free

 



Vous me conseillez donc de désactiver la ligne "deb http://www.deb-multimedia.org stable main non-free" ?
Je me trompe ?


Debian-10.1-Xfce buster sur Lenovo LEGION Y520- SSD128 + HD1000 - 8Go
Vieux MacBook X.6.8 - Raspbian Buster sur Raspberry Pi4

Hors ligne

#23 27-05-2019 20:49:55

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.1
Noyau : Linux 4.12.14
(G)UI : KDE 5
Inscription : 11-03-2016

Re : [RESOLU] Deux fichiers ne veulent pas s'installer...

Non, je te conseille de réinstaller la version de stretch.
Testes la simulation pour voir

Bien débuter sur Debian :
->Les principales commandes Linux
Bien débuter sur openSUSE :
->Site officiel + Wiki frForum fr sur alionet+Guide du débutant

Hors ligne

#24 27-05-2019 20:51:16

redelap
Membre
Lieu : SAINTES 17
Distrib. : Buster en Xfce & Raspbian
Noyau : Linux 4.19.0.6 - amd64
(G)UI : Xfce
Inscription : 14-05-2012
Site Web

Re : [RESOLU] Deux fichiers ne veulent pas s'installer...

et voici le retour de la simulation suggérée

remy@debian:~$ apt -s install gir1.2-javascriptcoregtk-4.0=2.18.6-1~deb9u1 gir1.2-webkit2-4.0=2.18.6-1~deb9u1
NOTE: Ceci n'est qu'une simulation !
      apt a besoin des privilèges du superutilisateur
      pour pouvoir vraiment fonctionner.
      Veuillez aussi noter que le verrouillage est désactivé,
      et la situation n'est donc pas forcément représentative
      de la réalité !
Lecture des listes de paquets... Fait
Construction de l'
arbre des dépendances      
Lecture des informations d'état... Fait
Les paquets suivants seront mis à une VERSION INFÉRIEURE :
  gir1.2-javascriptcoregtk-4.0 gir1.2-webkit2-4.0
0 mis à jour, 0 nouvellement installés, 2 remis à une version inférieure, 0 à enlever et 0 non mis à jour.
Inst gir1.2-webkit2-4.0 [2.18.6-1~deb9u1.0] (2.18.6-1~deb9u1 Debian:9.9/stable [amd64]) []
Inst gir1.2-javascriptcoregtk-4.0 [2.18.6-1~deb9u1.0] (2.18.6-1~deb9u1 Debian:9.9/stable [amd64])
Conf gir1.2-webkit2-4.0 (2.18.6-1~deb9u1 Debian:9.9/stable [amd64])
Conf gir1.2-javascriptcoregtk-4.0 (2.18.6-1~deb9u1 Debian:9.9/stable [amd64])


Debian-10.1-Xfce buster sur Lenovo LEGION Y520- SSD128 + HD1000 - 8Go
Vieux MacBook X.6.8 - Raspbian Buster sur Raspberry Pi4

Hors ligne

#25 27-05-2019 21:01:24

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.1
Noyau : Linux 4.12.14
(G)UI : KDE 5
Inscription : 11-03-2016

Re : [RESOLU] Deux fichiers ne veulent pas s'installer...

Ok tu refais la même en enlevant l’option -s

apt install gir1.2-javascriptcoregtk-4.0=2.18.6-1~deb9u1 gir1.2-webkit2-4.0=2.18.6-1~deb9u1


Ensuite refais apt update et apt upgrade


Bien débuter sur Debian :
->Les principales commandes Linux
Bien débuter sur openSUSE :
->Site officiel + Wiki frForum fr sur alionet+Guide du débutant

Hors ligne

Pied de page des forums